[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: policy concerning files used by postinst but not to be installed

On Thu, Dec 02, 2004 at 03:29:18PM +0100, rixed wrote:
> I would like to use them in the postinst script to upgrade the database 
> automatically. So, I have to carry those files in the .deb.

You don't need to move around those patches in the source package. You
just need to make sure those patches get copied by debian/rules (if
you're using debhelper, via a '<packages>.install' file) to a location
you want them to be installed on the user's system, probably
/usr/share/<package>/upgrade-sql/ (or something):

in package.install:
patches/patch1.sql /usr/share/<package>/upgrade-sql

Please read debhelper documentation for more information on how
debhelper makes a package.


Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)

Reply to: